# $Revision: 1.24 $, $Date: 2011/02/25 20:38:24 $
# TODO:
# - incorrectly installs itself to perl_vendorarch, but only constants.pl should go there
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	AnyEvent
%define		pnam	AnyEvent
Summary:	AnyEvent - provide framework for multiple event loops
Summary(pl.UTF-8):	AnyEvent - szkielet dla wielu pętli zdarzeń
Name:		perl-AnyEvent
Version:	5.31
Release:	6
Epoch:		3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/M/ML/MLEHMANN/%{pnam}-%{version}.tar.gz
# Source0-md5:	9c13447a7117e06e7a2fd553c4b2228c
URL:		http://search.cpan.org/dist/AnyEvent/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Suggests:	%{name}-Impl-EV
Obsoletes:	perl-AnyEvent-Impl-Cocoa
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# disable debuginfo, nothing special there
%define		_enable_debug_packages	0

%description
The AnyEvent extension aims to provide an simple and optimized event
loop for a broad class of applications.

%description -l pl.UTF-8
Rozszerzenie AnyEvent ma za zadanie udostępnić pojedynczą i
zoptymalizowaną pętlę zdarzeń dla szerokiej gamy aplikacji.

%package Impl-EV
Summary:	AnyEvent implementation based on libev
Summary(pl.UTF-8):	Implementacja AnyEvent oparta na libev
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description Impl-EV
AnyEvent implementation based on libev (best choice).

%description Impl-EV -l pl.UTF-8
Implementacja AnyEvent oparta na libev (najlepszy wybór).

%package Impl-Event
Summary:	AnyEvent implementation based on Event
Summary(pl.UTF-8):	Implementacja AnyEvent oparta na module Event
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description Impl-Event
AnyEvent implementation based on Event (very stable, few glitches).

%description Impl-Event -l pl.UTF-8
Implementacja AnyEvent oparta na module Event (stabilna, z kilkoma
problemami).

%package Impl-EventLib
Summary:	AnyEvent implementation based on Event::Lib
Summary(pl.UTF-8):	Implementacja AnyEvent oparta na module Event::Lib
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description Impl-EventLib
AnyEvent implementation based on Event::Lib (leaks memory and worse).

%description Impl-EventLib -l pl.UTF-8
Implementacja AnyEvent oparta na module Event::Lib (ma wycieki pamięci
i jeszcze gorzej).

%package Impl-Glib
Summary:	AnyEvent implementation based on GLib
Summary(pl.UTF-8):	Implementacja AnyEvent oparta na GLibie
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description Impl-Glib
AnyEvent implementation based on GLib (slow but very stable).

%description Impl-Glib -l pl.UTF-8
Implementacja AnyEvent oparta na GLibie (wolna, ale stabilna).

%package Impl-IOAsync
Summary:	AnyEvent implementation based on IO::Async
Summary(pl.UTF-8):	Implementacja AnyEvent oparta na module IO::Async
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description Impl-IOAsync
AnyEvent implementation based on IO::Async.

%description Impl-IOAsync -l pl.UTF-8
Implementacja AnyEvent oparta na module IO::Async.

%package Impl-Irssi
Summary:	AnyEvent implementation for Irssi
Summary(pl.UTF-8):	Implementacja AnyEvent dla Irssi
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description Impl-Irssi
AnyEvent implementation used when running within irssi.

%description Impl-Irssi -l pl.UTF-8
Implementacja AnyEvent używana wewnątrz irssi.

%package Impl-POE
Summary:	AnyEvent implementation based on POE
Summary(pl.UTF-8):	Implementacja AnyEvent oparta na module POE
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description Impl-POE
AnyEvent implementation based on POE (very slow, some limitations).

%description Impl-POE -l pl.UTF-8
Implementacja AnyEvent oparta na module POE (bardzo wolna, z
ograniczeniami).

%package Impl-Qt
Summary:	AnyEvent implementation based on Qt
Summary(pl.UTF-8):	Implementacja AnyEvent oparta na Qt
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description Impl-Qt
AnyEvent implementation based on Qt.

%description Impl-Qt -l pl.UTF-8
Implementacja AnyEvent oparta na Qt.

%package Impl-Tk
Summary:	AnyEvent implementation based on Tk
Summary(pl.UTF-8):	Implementacja AnyEvent oparta na Tk
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description Impl-Tk
AnyEvent implementation based on Tk (very broken).

%description Impl-Tk -l pl.UTF-8
Implementacja AnyEvent oparta na Tk (z licznymi błędami).

%prep
%setup -q -n %{pnam}-%{version}
# we are not allowed to use network while building package
%{__rm} t/05_dns.t

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{perl_vendorlib}/AnyEvent

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# Cocoa::EventLoop is OSX-only
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/AnyEvent/Impl/Cocoa.pm \
	$RPM_BUILD_ROOT%{_mandir}/man3/AnyEvent::Impl::Cocoa.3pm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/AnyEvent
%{perl_vendorarch}/AnyEvent.pm
%dir %{perl_vendorarch}/AnyEvent
%{perl_vendorarch}/AnyEvent/*.pm
%dir %{perl_vendorarch}/AnyEvent/Impl
# pureperl implementation, works everywhere, requires nothing
%{perl_vendorarch}/AnyEvent/Impl/Perl.pm
%{perl_vendorarch}/AnyEvent/Util
%{perl_vendorarch}/AnyEvent/FAQ.pod
%{perl_vendorarch}/AnyEvent/Intro.pod
%{perl_vendorarch}/AnyEvent/constants.pl
%{perl_vendorarch}/AE.pm
%{_mandir}/man3/AE.3pm*
%{_mandir}/man3/AnyEvent.3pm*
%{_mandir}/man3/AnyEvent::[DFHSTU]*.3pm*
%{_mandir}/man3/AnyEvent::Intro.3pm*
%{_mandir}/man3/AnyEvent::Impl::Perl.3pm*

%files Impl-EV
%defattr(644,root,root,755)
%{perl_vendorarch}/AnyEvent/Impl/EV.pm
%{_mandir}/man3/AnyEvent::Impl::EV.3pm*

%files Impl-Event
%defattr(644,root,root,755)
%{perl_vendorarch}/AnyEvent/Impl/Event.pm
%{_mandir}/man3/AnyEvent::Impl::Event.3pm*

%files Impl-EventLib
%defattr(644,root,root,755)
%{perl_vendorarch}/AnyEvent/Impl/EventLib.pm
%{_mandir}/man3/AnyEvent::Impl::EventLib.3pm*

%files Impl-Glib
%defattr(644,root,root,755)
%{perl_vendorarch}/AnyEvent/Impl/Glib.pm
%{_mandir}/man3/AnyEvent::Impl::Glib.3pm*

%files Impl-IOAsync
%defattr(644,root,root,755)
%{perl_vendorarch}/AnyEvent/Impl/IOAsync.pm
%{_mandir}/man3/AnyEvent::Impl::IOAsync.3pm*

%files Impl-Irssi
%defattr(644,root,root,755)
%{perl_vendorarch}/AnyEvent/Impl/Irssi.pm
%{_mandir}/man3/AnyEvent::Impl::Irssi.3pm*

%files Impl-POE
%defattr(644,root,root,755)
%{perl_vendorarch}/AnyEvent/Impl/POE.pm
%{_mandir}/man3/AnyEvent::Impl::POE.3pm*

%files Impl-Qt
%defattr(644,root,root,755)
%{perl_vendorarch}/AnyEvent/Impl/Qt.pm
%{_mandir}/man3/AnyEvent::Impl::Qt.3pm*

%files Impl-Tk
%defattr(644,root,root,755)
%{perl_vendorarch}/AnyEvent/Impl/Tk.pm
%{_mandir}/man3/AnyEvent::Impl::Tk.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-AnyEvent.spec,v $
Revision 1.24  2011/02/25 20:38:24  arekm
- rel 6; add perl_vendorlib/AnyEvent dir

Revision 1.23  2011/02/23 07:50:17  arekm
- release 5

Revision 1.22  2011/02/21 16:09:13  sparky
- disable debuginfo
- release: 4

Revision 1.21  2011/02/21 16:00:41  qboosh
- pl for Impls
- kill -Impl-Cocoa (OSX-specific)

Revision 1.20  2011/02/21 15:51:14  sparky
- no longer noarch: 1. installs to archdir and 2. constants.pl may differ
  on different archs
- release: 3

Revision 1.19  2011/02/20 22:47:53  sparky
- moved all but pureperl implementations to subpackages
- S: perl-AnyEvent-Impl-EV -- it is the best choice
- removed perl(EV) version hack, version 4.00 is required now
- release: 2

Revision 1.18  2011/02/20 20:49:13  qboosh
- updated to 5.31, epoch 3

Revision 1.17  2010/06/04 06:41:13  glen
- workaround rpm version deps (see devel-hints as well)

Revision 1.16  2010/04/21 17:05:51  arekm
- release 2

Revision 1.15  2010/03/15 07:37:49  amateja
- updated to 5.251

Revision 1.14  2009/12/18 12:48:55  amateja
- updated to 5.22
- epoch up

Revision 1.13  2009/10/16 10:30:52  amateja
- updated to 5.201

Revision 1.12  2009/09/07 17:40:32  amateja
- using network while building package disabled

Revision 1.11  2009/09/06 16:52:52  amateja
- updated to 5.12

Revision 1.10  2009/06/15 08:28:47  amateja
- updated to 4.411

Revision 1.9  2008/03/13 21:24:53  ankry
- rel. 2

Revision 1.8  2008-03-13 20:38:16  qboosh
- epoch 1 for upgrade from 2.52

Revision 1.7  2008-03-13 20:34:44  arekm
- up to 2.9

Revision 1.6  2008-02-08 13:05:26  arekm
- rel 2

Revision 1.5  2007-06-30 20:54:22  arekm
- up to 2.52

Revision 1.4  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.2  2006/08/24 20:48:27  qboosh
- pl, noarch

Revision 1.1  2006/08/20 16:43:33  arekm
- new
